curl --request GET \
--url https://spaportal.cz/api/v1/hotels \
--header 'Authorization: Bearer <token>'import requests
url = "https://spaportal.cz/api/v1/hotels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spaportal.cz/api/v1/hotels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "66f16191f739705faa020002",
"id": 1,
"name": "Pawlik",
"stars": 4,
"phone_number": "+420 354 201 111",
"email": {
"cs_CZ": "info@frantiskovylazne.cz",
"de": "info@franzensbad.cz"
},
"description": {
"cs_CZ": "Kralovska vila mesta Frantiskovy Lazne uprostred lazenskeho parku.",
"de": "Die Koenigsvilla Franzensbads im Zentrum der Stadt."
},
"equipment": {
"cs_CZ": "Hotel je vybaven moderni saunou.",
"de": "Hotel hat eine Sauna."
},
"services": {
"cs_CZ": "Kuryri sluzby v cene pobytu.",
"de": "DHL included."
},
"lowest_price": {
"cs_CZ": {
"amount_per_night": 1024.5,
"original_amount_per_night": 1205.29,
"currency": "CZK"
},
"de": {
"amount_per_night": 40,
"original_amount_per_night": 47.06,
"currency": "EUR"
}
},
"commercial_slogan": {
"cs_CZ": "Buy it or leave it.",
"de": ""
},
"image": "https://spaportal-files.s3.eu-central-1.amazonaws.com/production/hotels/example/pawlik.jpg",
"thumbnail": "https://spaportal-files.s3.eu-central-1.amazonaws.com/production/thumbnails/hotels/example/pawlik.webp",
"booking_url": {
"cs_CZ": "https://rezervace.frantiskovylazne.cz?hotel=Pawlik",
"de": "https://reservierung.franzensbad.cz?hotel=Pawlik"
},
"destination": {
"_id": "66f16191f739705faa020001",
"id": 1,
"name": {
"cs_CZ": "Frantiskovy Lazne",
"de": "Franzensbad"
}
},
"address": {
"address_line": "Dr. Pohoreckeho 22",
"city": "Frantiskovy Lazne",
"postal_code": "351 01",
"country_code": "CZE"
},
"roomTypes": [
{
"_id": "66f16191f739705faa020003",
"id": 1,
"category": {
"cs_CZ": "Prezidentske apartma",
"de": "App. Aquaforum"
},
"facilities": [
"shower",
"toilet",
"bath"
],
"beds": 2,
"image": "https://spaportal-files.s3.eu-central-1.amazonaws.com/production/rooms/example/room.jpg",
"thumbnail": "https://spaportal-files.s3.eu-central-1.amazonaws.com/production/thumbnails/rooms/example/room.webp",
"booking_url": {
"cs_CZ": "https://rezervace.frantiskovylazne.cz?hotel=Pawlik&roomType=APPARTEMENT",
"de": "https://reservierung.franzensbad.cz?hotel=Pawlik&roomType=APPARTEMENT"
},
"description": {
"cs_CZ": "Pokoj s koupelnou, sprchou, WC a fenem.",
"de": "Luxurioeses Appartement."
},
"lowest_price": {
"cs_CZ": {
"amount_per_night": 1024.5,
"original_amount_per_night": 1205.29,
"currency": "CZK"
},
"de": {
"amount_per_night": 40,
"original_amount_per_night": 47.06,
"currency": "EUR"
}
}
}
]
}
]{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}Get hotels
Returns hotels matching the supplied filters.
lowest_price is the cheapest matching room price per night per guest. When a two-bed room is priced per room, the API returns the per-guest display price.
lowest_price.<lang>.amount_per_night includes any active discount promotions. original_amount_per_night is the price before any discount — equal to amount_per_night when no promotion applies.
stars, image, and thumbnail can be null. Set include_room_types=false when you do not need nested room type data.
Authorizations
See Authentication for how to obtain and send your API key.
Headers
Comma-separated list of languages to include. See Localization for details.
"cs_CZ,de"
Query Parameters
Number of records to return.
1 <= x <= 100Number of records to skip.
x >= 0Filter by destination ID.
Filter by visit type ID.
Filter by room occupancy.
x >= 1Start date in YYYY-MM-DD format.
End date in YYYY-MM-DD format.
Include room types in the hotel response.
Response
Hotels matching the filters.
Object id (24-character hex string) for the same entity.
^[0-9a-fA-F]{24}$"66f16191f739705faa020001"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
{
"cs_CZ": "Frantiskovy Lazne",
"de": "Franzensbad"
}
Show child attributes
Show child attributes
{
"cs_CZ": "Frantiskovy Lazne",
"de": "Franzensbad"
}
Show child attributes
Show child attributes
{
"cs_CZ": "Frantiskovy Lazne",
"de": "Franzensbad"
}
Show child attributes
Show child attributes
{
"cs_CZ": "Frantiskovy Lazne",
"de": "Franzensbad"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
{
"cs_CZ": "Frantiskovy Lazne",
"de": "Franzensbad"
}
Show child attributes
Show child attributes
{
"cs_CZ": "Frantiskovy Lazne",
"de": "Franzensbad"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes